Skip to main content
GET
Retrieve a corridor

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

corridorId
string
required

Public ID of the corridor (prefixed with crd_)

Response

Corridor retrieved successfully.

A supported fiat/crypto transfer corridor.

id
string

Public ID of the corridor (prefixed with crd_).

Example:

"crd_9aB0xY4mNpXwZ7bV1aLdt"

fiatCurrency
string
Example:

"USD"

fiatCountry
string

ISO 3166-1 alpha-3 country code.

Example:

"USA"

transferType
string
Example:

"ACH"

cryptoCurrency
enum<string>
Available options:
USDC,
USDT,
USDG,
PYUSD
Example:

"USDC"

chain
enum<string>
Available options:
POLYGON,
SOLANA,
ETHEREUM,
BASE,
BSC,
FLOW_EVM,
CANTON,
TRON
Example:

"POLYGON"

direction
enum<string>

Whether the corridor moves fiat to crypto (ONRAMP) or crypto to fiat (OFFRAMP).

Available options:
ONRAMP,
OFFRAMP
Example:

"ONRAMP"

status
enum<string>
Available options:
ACTIVE,
INACTIVE
Example:

"ACTIVE"